Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 04-03-2014 22:51:35

aramis_qc
Membre
Lieu : Québec, Canada
Distrib. : JESSIE
Noyau : Linux 3.16.0-4-amd64
(G)UI : GNOME 3.14.1
Inscription : 09-06-2007
Site Web

Ennuis avec les pilotes ati et nvidia (Gnome)

Chez Funtoo nous avons rendu disponible GNOME 3.6 afin de permettre aux gens d'utiliser le bureau GNOME sans systemd. Nous travaillons à intégrer systemd pour GNOME 3.10 sans pour autant abandonner OpenRC. Cependant nous avons des ennuis avec les pilotes ATI et nVidia dans GNOME 3.6.

Puisque nous offrons la possibilité d'installer le noyau debian-sources incluant la version LTS, je viens donc ici pour savoir si on peut m'indiquer une piste de solution. Peut-être que les devs de Debian ont rencontré ce type de problème.

Voici les références pour le bug en question :

http://www.funtoo.org/ATI/AMD_Graphics_ … _drag_them
http://bugs.funtoo.org/browse/FL-1130

Devons-nous reconstruire les pilotes ? Est-ce au niveau de la configuration du noyau ?

Hors ligne

#2 07-03-2014 12:53:04

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : Ennuis avec les pilotes ati et nvidia (Gnome)

Salut,
Ben, c'est pas glop ça. Est-ce que les développeurs de Cinnamon n'ont pas été confrontés à ce problème dans le développement de leur fork?

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#3 07-03-2014 16:55:14

aramis_qc
Membre
Lieu : Québec, Canada
Distrib. : JESSIE
Noyau : Linux 3.16.0-4-amd64
(G)UI : GNOME 3.14.1
Inscription : 09-06-2007
Site Web

Re : Ennuis avec les pilotes ati et nvidia (Gnome)

Raison pour laquelle j'ai placé ce post ici sur Debian. Essayer de trouver une piste vers une solution. Merci, je vais tenter le coup du côté de Cinnamon. Si je comprends bien, Debian utilise GNOME 3.4 en stable et passé directement à 3.8 en testing. Donc n'ayant pas touché à 3.6, ce genre de bug n'a pas été relevé.

Hors ligne

#4 07-03-2014 17:04:49

captnfab
Admin-Girafe
Lieu : /dev/random
Distrib. : Debian Stretch/Sid/Rc-Buggy
Noyau : Linux (≥ 4.3)
(G)UI : i3-wm (≥ 4.11)
Inscription : 07-07-2008
Site Web

Re : Ennuis avec les pilotes ati et nvidia (Gnome)

Au passage, Gnome 3.8 fonctionne relativement bien sans systemd. Qu'est-ce qui vous bloquait ?

captnfab,
Association Debian-Facile, bépo.
TheDoctor: Your wish is my command… But be careful what you wish for.

Hors ligne

#5 07-03-2014 18:16:22

aramis_qc
Membre
Lieu : Québec, Canada
Distrib. : JESSIE
Noyau : Linux 3.16.0-4-amd64
(G)UI : GNOME 3.14.1
Inscription : 09-06-2007
Site Web

Re : Ennuis avec les pilotes ati et nvidia (Gnome)

Excellente question.

1. Funtoo veut conserver son système OpenRC.

2. 3.6 n'a pas besoin de systemd. Gentoo n'entretient plus 3.6 donc on ne l'a plus en upstream. Il a fallu le récupérer.

3. Funtoo veut permettre à ses utilisateurs GNOME d'évoluer... donc création de FOAM pour supporter 3.10/systemd séparément des autres bureaux avec OpenRC. FOAM est un projet pour l'instant. Je ne sais pas comment le tout sera réalisé au final.

Maintenant si 3.8 peut fonctionner sans systemd et que l'on puisse solutionner notre problème de drivers, ce serait bien. As-tu des adresses où je peux trouver de l'info ? Créer un environnement de ebuilds avec 3.8 ne devrait pas être une tâche de titan.

Hors ligne

#6 08-03-2014 21:11:16

Herbert west
Membre
Distrib. : stable 64 mise a jour regulièrement
Noyau : 3.x.x-x-amd64
(G)UI : gnome 3
Inscription : 17-05-2012

Re : Ennuis avec les pilotes ati et nvidia (Gnome)

pourquoi fglx ?pourquoi ne pas choisir des pilotes libre ? xorg video radeon ou autres ?
radeon hd 6870 marche tres bien maintenant

Dernière modification par Herbert west (08-03-2014 21:11:45)


I72600k / radeonhd 6870 /asus p8p67 pro b3/syncmaster 3D Samsung 23p displayport
debian stable 64
Linux derniereversion 3.x.x-x-amd64
" Y a t il un sous-sol dans votre appartement ? "

Hors ligne

Pied de page des forums